%{?nodejs_find_provides_and_requires}

%global packagename colour
%global enable_tests 1

Name:		nodejs-colour
Version:	0.7.1
Release:	2%{?dist}
Summary:	A cored, fixed, documented and optimized version of `colors.js`

License:	MIT
URL:		https://github.com/dcodeIO/colour.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	dos2unix
%if 0%{?enable_tests}
#BuildRequires:
%endif

%description
A cored, fixed, documented and optimized version of the popular `colors.js`:
Get colors in your node.js console like what...


%prep
%setup -q -n package

dos2unix README.md

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} tests/test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Jul 14 2016 Jared Smith <jsmith@fedoraproject.org> - 0.7.1-2
- Update file encoding of README.md

* Mon Nov 16 2015 Jared Smith <jsmith@fedoraproject.org> - 0.7.1-1
- Initial packaging
